Bug 1807119 - katello-remove not installed as part of the katello-common package.
Summary: katello-remove not installed as part of the katello-common package.
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Installer
Version: 6.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Devendra Singh
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-25 16:16 UTC by Rafael Cavalcanti
Modified: 2020-02-27 20:12 UTC (History)
0 users

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-02-26 13:00:29 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Rafael Cavalcanti 2020-02-25 16:16:29 UTC
Description of problem:
katello-remove script not installed

Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
From Satellite 6.6 version:
---
rpm -ql katello-common-3.12.0-3.el7sat.noarch
/usr/sbin/katello-backup
/usr/sbin/katello-change-hostname
/usr/sbin/katello-remove
/usr/sbin/katello-restore
/usr/sbin/qpid-core-dump
/usr/share/katello/helper.rb
/usr/share/katello/hostname-change.rb
/usr/share/man/man8/katello-change-hostname.8.gz
---

From Satellite 6.7 Beta:
rpm -ql katello-common-3.14.0-5.el7sat.noarch
/usr/sbin/katello-backup
/usr/sbin/katello-change-hostname
/usr/sbin/katello-restore
/usr/sbin/qpid-core-dump
/usr/share/katello/helper.rb
/usr/share/katello/hostname-change.rb
/usr/share/man/man8/katello-change-hostname.8.gz
---

Actual results:
katello-remove script is not installed

Expected results:
katello-remove should be installed as part of katello-common package

Additional info:
The installation DOC mention katello-remove as a way to uninstall Satellite or Capsule server.
-> https://access.redhat.com/documentation/en-us/red_hat_satellite/6.7-beta/html-single/installing_satellite_server_from_a_connected_network/index#uninstalling_satellite_server

Comment 3 Brad Buckingham 2020-02-26 13:00:29 UTC
katello-remove was deprecated in Satellite 6.6 and has been fully removed in Satellite 6.7.


Note You need to log in before you can comment on or make changes to this bug.